note
	description: "Summary description for {CURRENT_CONDITIONS}."
	author: "Jonathan S. Ostroff and Jackie Wang"
	date: "$Date$"
	revision: "$Revision$"

class
	CURRENT_CONDITIONS
create
	make

feature -- initialize
	make(a_weather_data: WEATHER_DATA)
		do
			weather_data := a_weather_data
		ensure
			weather_data = a_weather_data
		end

feature
	temperature: REAL
	humidity: REAL
	weather_data: WEATHER_DATA

	update
			-- Update the weather data.
		do
			temperature := weather_data.temperature
			humidity := weather_data.humidity
		end

	display
			-- Display current conditions.
		do
			update
			io.put_string("Current Conditions: ")
			io.put_real (temperature)
			io.put_string (" degrees C and ")
			io.put_real (humidity)
			io.put_string (" percent humidity%N")
		end
end
